#!/bin/bash
# 20150805 chroot_luwrain.sh linux.gnu@yandex.ru
# Distributed under the terms of the GNU General Public License v3.

install_list='app-admin/pwgen
x11-wm/dwm
net-misc/networkmanager
sys-fs/udisks
sys-fs/udisks-glue
app-accessibility/luwrain
'

remove_list='
'

update-env 1>/dev/null 2>&1 && source /etc/profile

# Uninstall packages from remove_list
for i in $remove_list; do emerge -C $i 1>/dev/null 2>&1; done

# Install packages from install_list
for i in $install_list; do emerge $i 1>/dev/null 2>&1; done

# Clean and check system
emerge --depclean 1>/dev/null 2>&1
revdep-rebuild -i 1>/dev/null 2>&1

rc-update add dbus default
rc-update add voicemand default

exit 0
