# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header:

EAPI="5"

inherit eutils scons-utils

DESCRIPTION="Free and open source speech synthesizer for Russian language."
HOMEPAGE="https://github.com/Olga-Yakovleva/RHVoice"
SRC_URI="https://github.com/Olga-Yakovleva/RHVoice/archive/${PV}.tar.gz -> RHVoice-${PV}.tar.gz"

LICENSE="GPL-3 LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64"

IUSE=""

COMMON_DEPEND="
	dev-cpp/glibmm
	dev-lang/python
	dev-util/scons
"

RDEPEND="${COMMON_DEPEND}"
DEPEND="${COMMON_DEPEND}"

src_compile() {
	escons prefix=${ED}usr
}

src_install() {
	escons prefix=${ED}usr install
	default
	sed -i "s/\/var\/tmp\/portage\/app-accessibility\/${P}\/image//" ${ED}usr/share/dbus-1/services
}
